<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Example 4 - CSS Selectors</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="stylesheet" href="example-4.css">
    </head>
    <body>
        <h1>Example 4</h1>

        <h2> '*' Selecting everything </h2>
        <section class="everything">
          <p>I'm a p tag</p>
          <ul>
            <li>I'm a list</li>
          </ul>
          <span>I'm a span</span>
        </section>
        <h2> '&gt;' Immediate Child </h2>
        <section class="immediate">
          <div>
            <ul>
              <li>I am an li, I got targeted</li>
              <li>
                <ul>
                    <li>I am an li in another UL, I didn't</li>
                </ul>
              </li>
          </ul>
        </div>
      </section>
      <h2> '+' Adjacent Child </h2>
      <section class="adjacent">
        <p>This is a p tag</p>
        <span>This is a span, I got targeted.</span>
        <span>This is a second span, I didn't. </span>
        <p>This is another p</p>
        <span>This is a span, it got targeted again.</span>
      </section>
      <h2> '~' Sibling Child </h2>
      <section class="sibling">
        <div>
          <p>I am a p tag</p>
          <span>I am a span, as I am a sibling, I get targeted.</span>
          <div>I am a div, but look</div>
          <span>this span is still targeted, because it is a sibling of that first p</span>
        </div>
    </body>
</html>
